/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { MarkerSeriesDescription } from "./MarkerSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let PolarBaseDescription = /*@__PURE__*/ (() => {
    class PolarBaseDescription extends MarkerSeriesDescription {
        get_type() {
            return "PolarBase";
        }
        constructor() {
            super();
            this.fe = null;
            this.fn = null;
            this.fi = null;
            this.fh = null;
            this.fb = null;
            this.fk = null;
            this.eu = false;
            this.e2 = 0;
            this.fp = null;
            this.fo = null;
            this.fa = null;
            this.ez = 0;
            this.ep = null;
            this.e3 = 0;
            this.e4 = 0;
            this.er = false;
            this.e9 = null;
            this.fj = null;
            this.e1 = 0;
            this.et = false;
            this.es = false;
            this.fl = null;
            this.fc = null;
            this.fm = null;
            this.fd = null;
            this.fg = null;
            this.ff = null;
        }
        get angleMemberPath() {
            return this.fe;
        }
        set angleMemberPath(a) {
            this.fe = a;
            this.g("AngleMemberPath");
        }
        get radiusMemberPath() {
            return this.fn;
        }
        set radiusMemberPath(a) {
            this.fn = a;
            this.g("RadiusMemberPath");
        }
        get highlightedRadiusMemberPath() {
            return this.fi;
        }
        set highlightedRadiusMemberPath(a) {
            this.fi = a;
            this.g("HighlightedRadiusMemberPath");
        }
        get highlightedAngleMemberPath() {
            return this.fh;
        }
        set highlightedAngleMemberPath(a) {
            this.fh = a;
            this.g("HighlightedAngleMemberPath");
        }
        get angleAxisRef() {
            return this.fb;
        }
        set angleAxisRef(a) {
            this.fb = a;
            this.g("AngleAxisRef");
        }
        get radiusAxisRef() {
            return this.fk;
        }
        set radiusAxisRef(a) {
            this.fk = a;
            this.g("RadiusAxisRef");
        }
        get useCartesianInterpolation() {
            return this.eu;
        }
        set useCartesianInterpolation(a) {
            this.eu = a;
            this.g("UseCartesianInterpolation");
        }
        get maximumMarkers() {
            return this.e2;
        }
        set maximumMarkers(a) {
            this.e2 = a;
            this.g("MaximumMarkers");
        }
        get trendLineType() {
            return this.fp;
        }
        set trendLineType(a) {
            this.fp = a;
            this.g("TrendLineType");
        }
        get trendLineBrush() {
            return this.fo;
        }
        set trendLineBrush(a) {
            this.fo = a;
            this.g("TrendLineBrush");
        }
        get actualTrendLineBrush() {
            return this.fa;
        }
        set actualTrendLineBrush(a) {
            this.fa = a;
            this.g("ActualTrendLineBrush");
        }
        get trendLineThickness() {
            return this.ez;
        }
        set trendLineThickness(a) {
            this.ez = a;
            this.g("TrendLineThickness");
        }
        get trendLineDashArray() {
            return this.ep;
        }
        set trendLineDashArray(a) {
            this.ep = a;
            this.g("TrendLineDashArray");
        }
        get trendLinePeriod() {
            return this.e3;
        }
        set trendLinePeriod(a) {
            this.e3 = a;
            this.g("TrendLinePeriod");
        }
        get trendLineZIndex() {
            return this.e4;
        }
        set trendLineZIndex(a) {
            this.e4 = a;
            this.g("TrendLineZIndex");
        }
        get clipSeriesToBounds() {
            return this.er;
        }
        set clipSeriesToBounds(a) {
            this.er = a;
            this.g("ClipSeriesToBounds");
        }
        get actualItemSearchMode() {
            return this.e9;
        }
        set actualItemSearchMode(a) {
            this.e9 = a;
            this.g("ActualItemSearchMode");
        }
        get itemSearchMode() {
            return this.fj;
        }
        set itemSearchMode(a) {
            this.fj = a;
            this.g("ItemSearchMode");
        }
        get itemSearchThreshold() {
            return this.e1;
        }
        set itemSearchThreshold(a) {
            this.e1 = a;
            this.g("ItemSearchThreshold");
        }
        get isCustomPolarStyleAllowed() {
            return this.et;
        }
        set isCustomPolarStyleAllowed(a) {
            this.et = a;
            this.g("IsCustomPolarStyleAllowed");
        }
        get isCustomPolarMarkerStyleAllowed() {
            return this.es;
        }
        set isCustomPolarMarkerStyleAllowed(a) {
            this.es = a;
            this.g("IsCustomPolarMarkerStyleAllowed");
        }
        get radiusMemberAsLegendLabel() {
            return this.fl;
        }
        set radiusMemberAsLegendLabel(a) {
            this.fl = a;
            this.g("RadiusMemberAsLegendLabel");
        }
        get angleMemberAsLegendLabel() {
            return this.fc;
        }
        set angleMemberAsLegendLabel(a) {
            this.fc = a;
            this.g("AngleMemberAsLegendLabel");
        }
        get radiusMemberAsLegendUnit() {
            return this.fm;
        }
        set radiusMemberAsLegendUnit(a) {
            this.fm = a;
            this.g("RadiusMemberAsLegendUnit");
        }
        get angleMemberAsLegendUnit() {
            return this.fd;
        }
        set angleMemberAsLegendUnit(a) {
            this.fd = a;
            this.g("AngleMemberAsLegendUnit");
        }
        get assigningPolarStyleRef() {
            return this.fg;
        }
        set assigningPolarStyleRef(a) {
            this.fg = a;
            this.g("AssigningPolarStyleRef");
        }
        get assigningPolarMarkerStyleRef() {
            return this.ff;
        }
        set assigningPolarMarkerStyleRef(a) {
            this.ff = a;
            this.g("AssigningPolarMarkerStyleRef");
        }
    }
    PolarBaseDescription.$t = /*@__PURE__*/ markType(PolarBaseDescription, 'PolarBaseDescription', MarkerSeriesDescription.$);
    return PolarBaseDescription;
})();
